/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2010 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register Query User Session
  --
  l_sql :=
'        SELECT xxas_com_srv_mgr_pkg.set_override_xml
                  (xxas_org_export_pkg.org_chart_smartart_xml
                    (:pViewName, :pChartType, :pParentIds)) openxml
         FROM   dual ';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryOrgChartOpenXML'
    ,p_securing_function => 'XXAS_SRV_Q_HIER_OPENXML_PERM'
    ,p_sql               => l_sql
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pViewName'  , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pChartType' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pParentIds' , xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
